function c=Constraints(x)
%==========================================================================
% Problem 1
% c=[-127+2*x(1)^2+3*x(2)^4+x(3)+4*x(4)^2+5*x(5);
%     -282+7*x(1)+3*x(2)+10*x(3)^2+x(4)-x(5);
%     -196+23*x(1)+x(2)^2+6*x(6)^2-8*x(7);
%     4*x(1)^2+x(2)^2-3*x(1)*x(2)+2*x(3)^2+5*x(6)-11*x(7)];
%==========================================================================
% Problem 2
% c=[85.334407+0.0056858*x(2)*x(5)+0.0006262*x(1)*x(4)-0.0022053*x(3)*x(5)-92;
%     -85.334407-0.0056858*x(2)*x(5)-0.0006262*x(1)*x(4)+0.0022053*x(3)*x(5);
%     80.51249+0.0071317*x(2)*x(5)+0.0029955*x(1)*x(2)+0.0021813*x(3)^2-110;
%     -80.51249-0.0071317*x(2)*x(5)-0.0029955*x(1)*x(2)-0.0021813*x(3)^2+90;
%     9.300961+0.0047026*x(3)*x(5)+0.0012547*x(1)*x(3)+0.0019085*x(3)*x(4)-25;
%     -9.300961-0.0047026*x(3)*x(5)-0.0012547*x(1)*x(3)-0.0019085*x(3)*x(4)+20];
%==========================================================================
% Problem 3
% nvars=10;
% b=0;
% for i=1:nvars
%     bb=x(i)^2;
%     b=bb+b;
% end
% c=b-1-eps;
%==========================================================================
% Problem 4
% c=[(x(1)-1)^2+(x(2)-1)^2+(x(3)-1)^2-0.0625;
%     (x(1)-2)^2+(x(2)-2)^2+(x(3)-2)^2-0.0625;
%     (x(1)-3)^2+(x(2)-3)^2+(x(3)-3)^2-0.0625;
%     (x(1)-4)^2+(x(2)-4)^2+(x(3)-4)^2-0.0625;
%     (x(1)-5)^2+(x(2)-5)^2+(x(3)-5)^2-0.0625;
%     (x(1)-6)^2+(x(2)-6)^2+(x(3)-6)^2-0.0625;
%     (x(1)-7)^2+(x(2)-7)^2+(x(3)-7)^2-0.0625;
%     (x(1)-8)^2+(x(2)-8)^2+(x(3)-8)^2-0.0625;
%     (x(1)-9)^2+(x(2)-9)^2+(x(3)-9)^2-0.0625];
%==========================================================================
% Three-bar truss problem
% p=2;
% sigma=2;
% c=[((sqrt(2)*x(1)+x(2))/(sqrt(2)*x(1)^2+2*x(1)*x(2)))*p-sigma;
%     ((x(2))/(sqrt(2)*x(1)^2+2*x(1)*x(2)))*p-sigma;
%     (1/(sqrt(2)*x(2)+x(1)))*p-sigma];
%==========================================================================
% Speed reducer design problem
c=[27/(x(1)*x(2)^2*x(3))-1;
    397.5/(x(1)*x(2)^2*x(3)^2)-1;
    (1.93*x(4)^3)/(x(2)*x(3)*x(6)^4)-1;
    (1.93*x(5)^3)/(x(2)*x(3)*x(7)^4)-1;
    ((sqrt(((745*x(4))/(x(2)*x(3)))^2+16.9e6))/(110*x(6)^3))-1;
    ((sqrt(((745*x(5))/(x(2)*x(3)))^2+157.5e6))/(85*x(7)^3))-1;
    ((x(2)*x(3))/40)-1;
    (5*x(2)/x(1))-1;
    (x(1)/12*x(2))-1;
    ((1.5*x(6)+1.9)/x(4))-1;
    ((1.1*x(7)+1.9)/x(5))-1];
%==========================================================================
% Pressure vessel problem
% c=[-x(1)+0.0193*x(3);
%     -x(2)+0.00954*x(3);
%     -pi*x(3)^2*x(4)-(4/3)*pi*x(3)^3+1296000;
%     x(4)-240];
%==========================================================================
% Spring design
% c=[1-((x(2)^3*x(3))/(71785*x(1)^4));
%     (4*x(2)^2-x(1)*x(2))/(12566*(x(2)*x(1)^3-x(1)^4))+(1/(5108*x(1)^2))-1;
%     1-((140.45*x(1))/(x(2)^2*x(3)));
%     ((x(1)+x(2))/1.5)-1];
%==========================================================================
% Welded beam problem
% R=sqrt((x(2)^2)/4+((x(1)+x(3))/2)^2);
% P=6000;
% L=14;
% E=30e6;
% G=12e6;
% Px=((4.013*E*sqrt((x(3)^2*x(4)^6)/36))/(L^2))*(1-(x(3)/(2*L))*sqrt(E/(4*G)));
% tap=P/(sqrt(2)*x(1)*x(2));
% Q=P*(L+(x(2)/2));
% J=2*(sqrt(2)*x(1)*x(2)*((x(2)^2/12)+((x(1)+x(3))/2)^2));
% tapp=(Q*R)/J;
% ta=sqrt(tap^2+((2*tap*tapp*x(2))/(2*R))+tapp^2);
% sigma=(6*P*L)/(x(4)*(x(3)^2));
% delta=(4*P*(L^3))/(E*(x(3)^3)*x(4));
% c=[ta-13600;
%     sigma-30000;
%     x(1)-x(4);
%     0.10471*x(1)^2+0.04811*x(3)*x(4)*(14+x(2))-5;
%     0.125-x(1);
%     delta-0.25;
%     P-Px];
%==========================================================================
% Rolling Element Bearing
% D=160;
% d=90;
% bw=30;
% T=D-d-2*x(2);
% phi=2*pi-2*acos(((((D-d)/2)-3*(T/4))^2+(D/2-T/4-x(2))^2-(d/2+T/4)^2)/(2*((D-d)/2-3*(T/4))*(D/2-T/4-x(2))));
% c=[-phi/(2*asin(x(2)/x(1)))+x(3)-1;
%     -2*x(2)+x(6)*(D-d);
%     -x(7)*(D-d)+2*x(2);
%     x(10)*bw-x(2);
%     -x(1)+0.5*(D+d);
%     -(0.5+x(9))*(D+d)+x(1);
%     -0.5*(D-x(1)-x(2))+x(8)*x(2);
%     0.515-x(4);
%     0.515-x(5)
%     x(4)*x(2)-11.033-eps;
%     x(5)*x(2)-11.033-eps];
%==========================================================================
% Multiple disk clutch brake
%--------- Info -----------------
% deltar=20;
% lmax=30;
% delta=0.5;
% pmax=1;
% prz=x(4)/(pi*(x(2)^2-x(1)^2));
% n=250;
% vsrmax=10;
% vsr=(2*pi*n*(x(2)^3-x(1)^3))/(90*(x(2)^2-x(1)^2))*0.001;
% iz=55;
% mu=0.5;
% s=1.5;
% ms=40;
% mf=3;
% Tmax=15;
% mh=(2/3)*mu*x(4)*x(5)*((x(2)^3-x(1)^3)/(x(2)^2-x(1)^2))*0.001;
% T=(iz*pi*n)/(30*(mh+mf));
%-------------------------------
% c=[deltar+x(1)-x(2);
%     -lmax+(x(5)+1)*(x(3)+delta);
%     prz-pmax;
%     prz*vsr-pmax*vsrmax;
%     vsr-vsrmax;
%     T-Tmax;
%     s*ms-mh;
%     -T];








